info.bioinfweb.jphyloio.formatinfo

## Class MetadataModeling

- java.lang.Object
- - info.bioinfweb.jphyloio.formatinfo.MetadataModeling

-     public class MetadataModeling
      extends java.lang.Object

  Instances of this class describe which metadata can be nested under a certain content type in a certain format and are returned by `JPhyloIOFormatInfo.getMetadataModeling(info.bioinfweb.jphyloio.events.type.EventContentType, boolean)`.
  Since:
    0.1.0
  Author:
    Ben Stöver
  See Also:
    `JPhyloIOFormatInfo.getMetadataModeling(info.bioinfweb.jphyloio.events.type.EventContentType, boolean)`, `MetadataTopologyType`, `LiteralContentSequenceType`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MetadataModeling` | `NO_METADATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataModeling(MetadataTopologyType topologyType, java.util.Set<LiteralContentSequenceType> contentTypes)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<LiteralContentSequenceType>` | `getContentTypes()` Returns the set of metadata content types (simple or XML) that may be nested between literal metaevents under start and end events of the according content type.
    `MetadataTopologyType` | `getTopologyType()` Returns the topology type that may be nested between start and end events of the according content type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_METADATA

          public static final MetadataModeling NO_METADATA

  - ### Constructor Detail

    - #### MetadataModeling

          public MetadataModeling(MetadataTopologyType topologyType,
                                  java.util.Set<LiteralContentSequenceType> contentTypes)

      Creates a new instance of this class.
      Parameters:
        `topologyType` - the metadata topology type
        `contentTypes` - the set of supported literal metadata content types
      Throws:
        `java.lang.NullPointerException` - if any parameter is `null`

  - ### Method Detail

    - #### getTopologyType

          public MetadataTopologyType getTopologyType()

      Returns the topology type that may be nested between start and end events of the according content type.
      Returns:
        the topology type (never `null`)

    - #### getContentTypes

          public java.util.Set<LiteralContentSequenceType> getContentTypes()

      Returns the set of metadata content types (simple or XML) that may be nested between literal metaevents under start and end events of the according content type.
      Returns:
        the set of content types (Maybe an empty set but never `null`.)